## 4store 1.1.3

=== debian/changelog ===
4store (1.1.3-1ubuntu2) oneiric; urgency=low

  * 1003_missing_function_declaration.patch: fix FTBFS because of implicit
    integer to pointer conversion.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 09 Jul 2011 14:30:02 +0400

4store (1.1.3-1ubuntu1) oneiric; urgency=low

  * 1002_fix_ftbfs_with_as_needed.patch: fix FTBFS with --as-needed linker
    option (LP: #803170).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 09 Jul 2011 13:54:54 +0400

4store (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Fix add Upstream-Contact.
    + Minor adjustments to Files sections regarding GNU tools.
  * Build-depend on autotools-dev.
  * Fix grammatic error in long description.
    Closes: bug#625283. Thanks to Tollef Fog Heen.
  * Rewrap long description at 72 chars, and strip trailing spaces.
  * Ease building with git-buildpackage:
    + Add dpkg local-options hint.
    + Git-ignore .pc dir.
  * Add patch 2001 to avoid using git to resolve upstream release
    version.
  * Revert "Pass ldflag -Wl,--as-needed to avoid excess linking.": Fails
    with this new v1.1.3 release.
  * Add patch 1001 to fix a few syntax errors in manpages.
  * Introduce new binary packages lib4store0 and lib4store-dev.
    Build-depend on d-shlibs.
  * Put aside a few upstream-shipped temp files during build.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 00:22:44 +0200

4store (1.1.2-2) unstable; urgency=low

  * Add git-buildpackage config: Enable pristine-tar and signed tags.
  * Recommend avahi-daemon, and slightly relax dependency on avahi in
    sysv script.
    Closes: bug#622743. Thanks to Holger Levsen.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Apr 2011 13:14:50 +0200

4store (1.1.2-1) unstable; urgency=low

  * Initial official packaging release.
    Closes: #558137.
  * New upstream release.
  * Tighten build-dependencies on librasqal and libraptor.
  * Update copyright file: Add copyright holder.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2011 03:12:45 +0100

4store (1.0.6-1) unstable; urgency=low

  * new upstream release.
  * Add watch file.
  * Rewrite and simplify rules file using CDBS.
  * Drop no longer needed patch: Upstream use autotools now.
  * Rewrite copyright file using draft svn166 of DEP5 format.
  * Add copyright hints (for tracking future changes).
  * Space-indent only comments (not commented out settings) in default
    configfile.
  * Improve handling of var- and log-dir:
    Create dirs at daemons startup (not during package install).
    Respect configfile settings when refreshing ownership.
    Avoid hardlink attacks when refreshing ownership.
  * Bump debhelper compatibility level to 6 (from 5).
  * Pass ldflag -Wl,--as-needed to avoid excess linking.
  * Take over maintenance of the packaging:
    + Add myself as maintainer.
    + Demote Dave Beckett to uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2011 02:44:25 +0100

4store (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Removed patch 4s-ssh-all-parallel-bash  merged upstream

 -- Dave Beckett <dajobe@debian.org>  Wed, 13 Oct 2010 21:47:25 -0700

4store (1.0.3-2) unstable; urgency=low

  * debian/control: Build-Depend: on libavahi-client-dev and libavahi-glib-dev
    to get mDNS enabled
  * set initial KB to 'default'
  * really run server as user 'fourstore'
  * do not run server at package install time
  * install a skeleton /etc/default/4store

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Jun 2010 10:37:00 -0700

4store (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #558137)
  - based on packaging of 0.9.5 by Brian Thomason
  - added init script to start server as user 'fourstore'
  - added pre/post init/remove scripts

 -- Dave Beckett <dajobe@debian.org>  Tue, 15 Jun 2010 06:57:05 -0700
