=== debian/control ===
Source: 4store
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Dave Beckett <dajobe@debian.org>
Build-Depends: cdbs,
 autotools-dev,
 debhelper (>= 6),
 dh-buildinfo,
 libpcre3-dev,
 libglib2.0-dev,
 ncurses-dev,
 libreadline-dev,
 libavahi-client-dev,
 libavahi-glib-dev,
 librasqal3-dev,
 libraptor2-dev,
 d-shlibs
Standards-Version: 3.9.2
Homepage: http://www.4store.org/

Package: 4store
Architecture: any
Depends: adduser, lsb-base (>= 3.2-13), netbase, ${shlibs:Depends}, ${misc:Depends}
Recommends: avahi-daemon
Description: RDF database storage and query engine -- database daemon
 4store is a database storage and query engine that holds RDF data.
 .
 4store's main strengths are its performance, scalability and stability.
 It does not provide many features over and above RDF storage and SPARQL
 queries, but if your are looking for a scalable, secure, fast and
 efficient RDF store, then 4store should be on your shortlist.
 .
 This package contains the database daemon and related utilities.

Package: lib4store-dev
Section: libdevel
Architecture: any
Depends: lib4store0 (= ${binary:Version}),
 ${misc:Depends}
Description: RDF database storage and query engine -- development files
 4store is a database storage and query engine that holds RDF data.
 .
 4store's main strengths are its performance, scalability and stability.
 It does not provide many features over and above RDF storage and SPARQL
 queries, but if your are looking for a scalable, secure, fast and
 efficient RDF store, then 4store should be on your shortlist.
 .
 This package contains the development headers and static library.

Package: lib4store0
Section: libs
Architecture: any
Suggests: lib4store-dev
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: RDF database storage and query engine -- shared library
 4store is a database storage and query engine that holds RDF data.
 .
 4store's main strengths are its performance, scalability and stability.
 It does not provide many features over and above RDF storage and SPARQL
 queries, but if your are looking for a scalable, secure, fast and
 efficient RDF store, then 4store should be on your shortlist.
 .
 This package contains the shared library lib4store.
