## 4store 1.1.4

=== debian/changelog ===
4store (1.1.4-2ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to get new libtool macros for
    ppc64el (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Mon, 23 Dec 2013 20:05:45 -0500

4store (1.1.4-2ubuntu1) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS on armhf.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 31 Mar 2013 19:27:30 -0400

4store (1.1.4-2) unstable; urgency=low

  * Add patches 1002-1005 to fix building for the Hurd.
    Thanks to Cyril Roelandt.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
  * Simplify arguments to dh_install (unneeded with debhelper 7).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Mar 2012 11:39:41 +0100

4store (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Fix list separate License sections for each actual license (not
      Perl combo as single section).
    + Fix PD syntax.
    + Fix missing vertical space between License sections.
    + Sort License sections by (approximate) similarity of main license.
    + Quote license names in comments, and shorten comments.
    + List mt19937-64 library, licensed as BSD-3-clause.
    + Use ~ (not ^) as delimiter for derived License shortnames.
  * Add patch 2002 to use system shared stemmer library.
  * Drop patches 1001 (manpage syntax errors) and 2001 (avoid git
    version-resolving): Adopted upstream.
  * Add Vcs-* fields to control file.
  * Extend copyright years for debian packaging.
  * Bump debhelper compat level to 7.
  * Relax build-depend unversioned on debhelper (needed version
    satisfied even in oldstable).
  * Avoid installing *.la files.
    Tighten build-dependency on d-shlibs.
    Closes: bug#633170. Thanks to Neal Williams.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 18:38:40 +0100
