=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Dave Beckett <dajobe@debian.org>
 Build-Depends: cdbs,
- autotools-dev,
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo,
  libpcre3-dev,
  libglib2.0-dev,
@@ -14,11 +13,15 @@
  libreadline-dev,
  libavahi-client-dev,
  libavahi-glib-dev,
+ libstemmer-dev,
  librasqal3-dev,
  libraptor2-dev,
- d-shlibs
-Standards-Version: 3.9.2
+ d-shlibs (>= 0.45~),
+ dh-autoreconf
+Standards-Version: 3.9.3
 Homepage: http://www.4store.org/
+Vcs-Git: git://git.debian.org/git/collab-maint/4store
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/4store.git
 
 Package: 4store
 Architecture: any
