=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010 Dave Beckett <dajobe@debian.org>
-# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for 4store
 #
 # This program is free software; you can redistribute it and/or modify
@@ -27,6 +27,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 stem = 4store
 abi = 0
@@ -38,23 +39,23 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-CDBS_BUILD_DEPENDS += , libpcre3-dev, libglib2.0-dev, ncurses-dev, libreadline-dev, libavahi-client-dev, libavahi-glib-dev
+CDBS_BUILD_DEPENDS += , libpcre3-dev, libglib2.0-dev, ncurses-dev, libreadline-dev
+CDBS_BUILD_DEPENDS += , libavahi-client-dev, libavahi-glib-dev, libstemmer-dev
 CDBS_BUILD_DEPENDS += $(if $(DEB_NOEPOCH_VERSION:1.0%=),,$(comma) librasqal2-dev (<< 0.9.22)$(comma) libraptor1-dev)
 CDBS_BUILD_DEPENDS += $(if $(DEB_NOEPOCH_VERSION:1.1%=),,$(comma) librasqal3-dev$(comma) libraptor2-dev)
-CDBS_BUILD_DEPENDS += , d-shlibs
 
 DEB_UPSTREAM_URL = http://www.4store.org/download
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-(\d)/-v$$1/
-DEB_UPSTREAM_TARBALL_MD5 = ed5015c95c97a424274f71e7918a9607
+DEB_UPSTREAM_TARBALL_MD5 = e15773fa72bb885f2613a8778fcbb7b6
 
 LDFLAGS += -Wl,-z,defs
+
+# TODO: Enable when upstream supports overriding FS_STORE_ROOT
+#DEB_MAKE_CHECK_TARGET = test
 
 # Avoid installing virtually empty README, NEWS and ChangeLog files
 DEB_INSTALL_DOCS_ALL =
 DEB_INSTALL_CHANGELOGS_ALL =
-
-# TODO: Drop this when switching to debhelper compatibility level >= 7
-DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
 
 DEB_DH_INSTALLINIT_ARGS = --no-start --update-rcd-params="defaults" --error-handler=installinit_error
 
@@ -75,6 +76,7 @@
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
+CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.45~)
 binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
 debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
 	d-shlibmove --commit \
@@ -84,6 +86,7 @@
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib/pkgconfig/$(pkgconfigfile)" usr/lib/pkgconfig/ \
 		--devunversioned \
+		--exclude-la \
 		debian/tmp/usr/lib/$(libname).so
 	touch $@
 clean::
