=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.4store.org/download/4store-v(\d.*)\.tar\.gz debian
