## 4store 1.1.5

=== debian/changelog ===
4store (1.1.5-1) unstable; urgency=low

  [ upstream ]
  * New upstream bugfix release.
    Closes: bug#681125. Thanks to Kjetil Kjernsmo.
    Bugfixes:
    + Major bugfix to quad delete code
    + Better ISO8601 date handling
    + SUBSTR bugfixes
    + Fix many small memory leaks (some remain)
    + Static built mac binaries, for more reliable .app
    + Threadsafeness imrovements in HTTP server
    + Fix for strange bug relating to rasqal parse error
    + Fix for xsd:int / xsd:integer handling
    + Fix to stuff deep in query engine
    + Fixes to date / dateTime comparison functions
    + Fix crash under heavy HTTP query load
    + Faster cluster discovery on Macs
    + Unary minus maths bugfix
    + Better UNION handling
    New features:
    + Many improvements to test system
    + MD5, SHA1, SHA256 hash functions
    + RAND, FLOOR, CEIL, ROUND, ABS maths functions
    + Support ORDER BY with GROUP BY
    + Support for MINUS keyword
    + TSV output now compliant with W3C draft

  [ Jonas Smedegaard ]
  * Update upstream-tarball hints for new upstream source.
  * Drop patches 1001 and 2001a (Declare libraries in LIBS to support
    --as-needed): Applied upstream.
  * Unfuzz all remaining patches.
  * Build-depend on uuid-dev.
  * Update copyright file:
    + Add new copyright holders (same licensing).
    + Extend coverage of some copyrights.
    + Fix use comment and license pseudo-sections to obey silly
      restrictions of copyright format 1.0.
    + List upstream mailinglist and IRC channel as Upstream-Contact.
  * Bump debhelper compatibility level to 8.
  * Fix set access rights in SysV init script (and make find command
    posix compliant while at it).
  * Fix initialize default knowledge base if missing.
    Closes: bug#670168. Thanks to Andreas Harth.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Modernize packaging:
    + Stop avoid optional CDBS build-dependencies: Satisfied even in
      oldstable.
      Build-depend on devscripts.
    + Use CDBS to put aside upstream-shipped cruft during build.
      Tighten build-dependency on cdbs.
    + Put aside autotools and regenerate during build.
      Build-depend on libtool, automake and autoconf.
      Drop now obsolete (and conflicting) patch 2002a.
      Closes: bug#752012. Thanks to Fernando Seiti Furusato.
    + Declare binary package relations in rules file and
      semi-autoresolve with CDBS.
  * Fix cleanup makefile makefile skipped due to patch 2002.
  * Add patch 1006 to modernize autotools.
  * Add patch 1007 to fix linkage when using -Wl,-z,defs.
  * Add patch 1008 to fix manpage syntax errors.
  * Add patch 1009 to fix bashisms and other weaknesses in shell and
    perl scripts.
    Closes: bug#690648. Thanks to Raphael Geissert.
  * Stop have library package suggest development header package.
  * Fix recommend perl, libnet-http-perl, liburi-perl: Needed by
    4store-dump and 4store-restore.
  * Fix use /var/lib/4store as /home/jonas in 4store postinst.
    Thanks to lintian.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Jan 2015 16:17:47 +0100
