=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: 4store
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Dave Beckett <dajobe@debian.org>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.123~),
+ autotools-dev,
+ libtool,
+ automake,
+ autoconf,
  debhelper,
  dh-buildinfo,
+ devscripts,
  libpcre3-dev,
  libglib2.0-dev,
  ncurses-dev,
@@ -14,19 +18,21 @@
  libavahi-client-dev,
  libavahi-glib-dev,
  libstemmer-dev,
+ uuid-dev,
  librasqal3-dev,
  libraptor2-dev,
- d-shlibs (>= 0.45~),
- dh-autoreconf
-Standards-Version: 3.9.3
+ d-shlibs (>= 0.45~)
+Standards-Version: 3.9.6
 Homepage: http://www.4store.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/4store
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/4store.git
 
 Package: 4store
 Architecture: any
-Depends: adduser, lsb-base (>= 3.2-13), netbase, ${shlibs:Depends}, ${misc:Depends}
-Recommends: avahi-daemon
+Depends: ${cdbs:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:  ${cdbs:Recommends}
 Description: RDF database storage and query engine -- database daemon
  4store is a database storage and query engine that holds RDF data.
  .
@@ -41,6 +47,7 @@
 Section: libdevel
 Architecture: any
 Depends: lib4store0 (= ${binary:Version}),
+ ${cdbs:Depends},
  ${misc:Depends}
 Description: RDF database storage and query engine -- development files
  4store is a database storage and query engine that holds RDF data.
@@ -55,8 +62,8 @@
 Package: lib4store0
 Section: libs
 Architecture: any
-Suggests: lib4store-dev
-Depends: ${misc:Depends},
+Depends: ${cdbs:Depends},
+ ${misc:Depends},
  ${shlibs:Depends}
 Description: RDF database storage and query engine -- shared library
  4store is a database storage and query engine that holds RDF data.
