## 4store 1.1.6+20151109

=== debian/changelog ===
4store (1.1.6+20151109-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:56:24 +0000

4store (1.1.6+20151109-2) unstable; urgency=medium

  * Add patch 1011 to use _GNU_SOURCE instead of __USE_MISC.
    Closes: Bug#810975. Thanks to Andreas Beckmann and Steven
    Chamberlain.
  * Update Vcs-git field: Use https protocol.
  * Declare compliance with Debian Policy 3.9.7.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Feb 2016 21:20:33 +0100

4store (1.1.6+20151109-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot of mainline git commit 3b1b659.

  [ Jonas Smedegaard ]
  * Update Vcs-Git field: Use canonical URL.
  * Drop patch 1008: Applied upstream.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix have init script wait for avahi-daemon (not avahi).
    Closes: Bug#731615. Thanks to Laurent Bigonville.
  * Update package relations:
    + Stop depend (versioned) on lsb-base: Base package, and needed
      version satisfied even in oldstable.
    + Relax to build-depend unversioned on d-shlibs: Needed version
      satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2015 21:39:05 +0530

4store (1.1.6-2) unstable; urgency=medium

  * Update Vcs-* fields.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 May 2015 17:15:20 +0200

4store (1.1.6-1) experimental; urgency=medium

  [ upstream ]
  * New upstream release.

  [ Jonas Smedegaard ]
  * Use github.com URLs as source and upstream Homepage.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Install NEWS and docs files: No longer virtually empty.
  * Install src/admin/README.md as documentation.
  * Temporarily disable patches 1004-1005 (to handle PATH_MAX in a
    portable way): Needs rewriting to use glib.
  * Create more autotools files during build (no longer shipped
    upstream).
  * Unfuzz and update patches.
  * Add patch 1010 to fix support FS_STORE_ROOT override in scripts.
  * Enable regression tests, but only relaxed for experimental (largely
    fails, possibly due to incomplete FS_STORE_ROOT override support).
  * Update copyright info:
    + Skip copyright-check icon file.
    + Drop autotools-related Files and Copyright sections (no longer
      shipped upstream).
    + Change license for (replaced) autogen.sh to BSD-3-clause.
    + Add swag-tests files licensed as W3C-Software-20021231.
  * Work around upstream code assuming build directly from git.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Feb 2015 10:04:49 +0100
