=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Dave Beckett <dajobe@debian.org>
 Build-Depends: cdbs (>= 0.4.123~),
- autotools-dev,
  libtool,
  automake,
  autoconf,
@@ -21,11 +20,11 @@
  uuid-dev,
  librasqal3-dev,
  libraptor2-dev,
- d-shlibs (>= 0.45~)
-Standards-Version: 3.9.6
-Homepage: http://www.4store.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/4store
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/4store.git
+ d-shlibs
+Standards-Version: 3.9.7
+Homepage: https://github.com/garlik/4store
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/4store
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/4store.git
 
 Package: 4store
 Architecture: any
