=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010 Dave Beckett <dajobe@debian.org>
-# Copyright © 2011-2012 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2013, 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for 4store
 #
 # This program is free software; you can redistribute it and/or modify
@@ -27,6 +27,7 @@
 DEB_AUTO_UPDATE_ACLOCAL = ,
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
+DEB_AUTO_UPDATE_AUTOHEADER = ,
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -39,39 +40,59 @@
 libname = lib$(stem)
 pkgconfigfile = $(stem)-$(abi).pc
 
-CDBS_BUILD_DEPENDS += , libpcre3-dev, libglib2.0-dev, ncurses-dev, libreadline-dev
-CDBS_BUILD_DEPENDS += , libavahi-client-dev, libavahi-glib-dev, libstemmer-dev
-CDBS_BUILD_DEPENDS += , uuid-dev
-CDBS_BUILD_DEPENDS += $(if $(DEB_NOEPOCH_VERSION:1.0%=),,$(comma) librasqal2-dev (<< 0.9.22)$(comma) libraptor1-dev)
-CDBS_BUILD_DEPENDS += $(if $(DEB_NOEPOCH_VERSION:1.1%=),,$(comma) librasqal3-dev$(comma) libraptor2-dev)
+DEB_UPSTREAM_URL = https://github.com/garlik/4store/archive
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 
-CDBS_DEPENDS_$(pkg) = adduser, lsb-base (>= 3.2-13), netbase
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
+# Needed by upstream build
+bdeps = libpcre3-dev, libglib2.0-dev, ncurses-dev, libreadline-dev
+bdeps +=, libavahi-client-dev, libavahi-glib-dev, libstemmer-dev
+bdeps +=, uuid-dev, librasqal3-dev, libraptor2-dev
+
+CDBS_BUILD_DEPENDS +=, $(bdeps)
+CDBS_DEPENDS_$(pkg) = adduser, netbase
 CDBS_RECOMMENDS_$(pkg) = avahi-daemon, perl, libnet-http-perl, liburi-perl
-
-DEB_UPSTREAM_URL = http://www.4store.org/download
-DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-(\d)/-v$$1/
-DEB_UPSTREAM_TARBALL_MD5 = 90512417abc588c6b60d7b2167f7dc39
 
 LDFLAGS += -Wl,-z,defs
 
-# TODO: Enable when upstream supports overriding FS_STORE_ROOT
-#DEB_MAKE_CHECK_TARGET = test
+# skip copyright-check icon file
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(app-aux/Resources/4store.icns|debian/(changelog|copyright(|_hints|_newhints)))$
 
-# Avoid installing virtually empty README, NEWS and ChangeLog files
-DEB_INSTALL_DOCS_ALL =
-DEB_INSTALL_CHANGELOGS_ALL =
+# Work around upstream code assuming build directly from git
+pre-build::
+	echo "$(DEB_UPSTREAM_TARBALL_BASENAME)" > .version
+clean::
+	rm -f .version
+
+# detect when when targeted experimental suite
+exp-relax-check := $(if $(shell dpkg-parsechangelog \
+	| grep -x 'Distribution: \(experimental\|UNRELEASED\)'),yes)
+
+# TODO: Fix failing tests - for now enable only relaxed for experimental
+DEB_MAKE_CHECK_TARGET = $(if $(exp-relax-check),$(strip\
+	test FS_STORE_ROOT="$(cdbs_curdestdir)/var/lib/4store" || true))
+
+DEB_INSTALL_DOCS_ALL = docs/*
+DEB_INSTALL_CHANGELOGS_ALL = NEWS
+DEB_DH_INSTALL_ARGS_$(pkg) = src/admin/README.md /usr/share/doc/$(pkg)/README.admin
 
 DEB_DH_INSTALLINIT_ARGS = --no-start --update-rcd-params="defaults" --error-handler=installinit_error
 
-# put aside upstream-shipped temp files during build but after copyright-check
-DEB_UPSTREAM_CRUFT_COPY = src/common/params.h version.sh
-# put aside upstream-shipped autobuilt files and remake during build
+# put aside upstream-shipped temp files during build, and cleanup afterwards
+DEB_UPSTREAM_CRUFT_COPY = version.sh
+DEB_UPSTREAM_CRUFT_MOVE += tests/httpd-extras/results
+clean::
+	rm -rf tests/httpd/results tests/query/results
+
+# create autotools file files during build and cleanup afterwards
 makefilesrcdirs = admin backend common frontend http libs utilities
 makefilesrcdirs += libs/double-metaphone libs/mt19937-64 libs/stemmer
 makefiledirs = . man src $(makefilesrcdirs:%=src/%) tests
 files_autotools_notshipped = $(macrodir) $(auxdir)/compile $(auxdir)/ar-lib
-DEB_UPSTREAM_CRUFT_MOVE += $(filter-out $(files_autoconf_modern),\
-	$(files_autotools))
+files_autotools_notshipped += 4store-config.h.in
 # TODO: move below to CDBS autotools-files.mk snippet (if indeed generic)
 basedir = $(DEB_SRCDIR)
 auxdir = $(basedir)
@@ -107,7 +128,7 @@
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.45~)
+CDBS_BUILD_DEPENDS +=, d-shlibs
 binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
 debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
 	d-shlibmove --commit \
